/*
 * Intel ACPI Component Architecture
 * AML Disassembler version 20140214-64 [Mar 29 2014]
 * Copyright (c) 2000 - 2014 Intel Corporation
 * 
 * Disassembly of ssdt2.dat, Sat Sep 20 01:46:57 2014
 *
 * Original Table Header:
 *     Signature        "SSDT"
 *     Length           0x0000029D (669)
 *     Revision         0x01
 *     Checksum         0x4B
 *     OEM ID           "COMPAL"
 *     OEM Table ID     "CRV ORB "
 *     OEM Revision     0x00001000 (4096)
 *     Compiler ID      "ACPI"
 *     Compiler Version 0x00040000 (262144)
 */
DefinitionBlock ("ssdt2.aml", "SSDT", 1, "COMPAL", "CRV ORB ", 0x00001000)
{
    /*
     * iASL Warning: There were 2 external control methods found during
     * disassembly, but additional ACPI tables to resolve these externals
     * were not specified. This resulting disassembler output file may not
     * compile because the disassembler did not know how many arguments
     * to assign to these methods. To specify the tables needed to resolve
     * external control method references, the -e option can be used to
     * specify the filenames. Example iASL invocations:
     *     iasl -e ssdt1.aml ssdt2.aml ssdt3.aml -d dsdt.aml
     *     iasl -e dsdt.aml ssdt2.aml -d ssdt1.aml
     *     iasl -e ssdt*.aml -d dsdt.aml
     *
     * In addition, the -fe option can be used to specify a file containing
     * control method external declarations with the associated method
     * argument counts. Each line of the file must be of the form:
     *     External (<method pathname>, MethodObj, <argument count>)
     */
    External (XMPB, MethodObj)    // Warning: Unresolved Method, guessing 1 arguments (may be incorrect, see warning above)
    External (XTUB, MethodObj)    // Warning: Unresolved Method, guessing 1 arguments (may be incorrect, see warning above)

    External (_TZ_.TZ01._TMP, IntObj)
    External (XTUS)

    Scope (\_SB)
    {
        Device (PTMD)
        {
            Name (_HID, EisaId ("INT3394"))  // _HID: Hardware ID
            Name (_CID, EisaId ("PNP0C02"))  // _CID: Compatible ID
            Name (IVER, 0x00010000)
            Name (SIZE, 0x2AE0)
            Method (GACI, 0, NotSerialized)
            {
                Name (RPKG, Package (0x02) {})
                Store (Zero, Index (RPKG, Zero))
                If (LNotEqual (XTUB (Zero), OperationRegion (XNVS, SystemMemory, XTUB (SIZE), Field (XNVS, ByteAcc, NoLock, Preserve)
                                {
                                    XBUF,   10976
                                })))
                {
                    Name (TEMP, Buffer (XTUS) {})
                    Store (XBUF, TEMP)
                    Store (TEMP, Index (RPKG, One))
                }
                Else
                {
                    Store (Zero, Index (RPKG, One))
                }

                Return (RPKG)
            }

            Method (GDSV, 1, Serialized)
            {
                If (LEqual (Arg0, 0x05))
                {
                    Return (Package (0x02)
                    {
                        Zero, 
                        Buffer (0x40)
                        {
                            /* 0000 */   0x00, 0x00, 0x00, 0x00, 0x46, 0x05, 0x00, 0x00,
                            /* 0008 */   0x01, 0x00, 0x00, 0x00, 0x79, 0x05, 0x00, 0x00,
                            /* 0010 */   0x02, 0x00, 0x00, 0x00, 0xA9, 0x05, 0x00, 0x00,
                            /* 0018 */   0x03, 0x00, 0x00, 0x00, 0xDC, 0x05, 0x00, 0x00,
                            /* 0020 */   0x04, 0x00, 0x00, 0x00, 0xDF, 0x05, 0x00, 0x00,
                            /* 0028 */   0x05, 0x00, 0x00, 0x00, 0xFD, 0x05, 0x00, 0x00,
                            /* 0030 */   0x06, 0x00, 0x00, 0x00, 0x42, 0x06, 0x00, 0x00,
                            /* 0038 */   0x07, 0x00, 0x00, 0x00, 0x74, 0x06, 0x00, 0x00
                        }
                    })
                }

                If (LEqual (Arg0, 0x13))
                {
                    Return (Package (0x02)
                    {
                        Zero, 
                        Buffer (0x38)
                        {
                            /* 0000 */   0x04, 0x00, 0x00, 0x00, 0x2B, 0x04, 0x00, 0x00,
                            /* 0008 */   0x05, 0x00, 0x00, 0x00, 0x35, 0x05, 0x00, 0x00,
                            /* 0010 */   0x06, 0x00, 0x00, 0x00, 0x40, 0x06, 0x00, 0x00,
                            /* 0018 */   0x07, 0x00, 0x00, 0x00, 0x4B, 0x07, 0x00, 0x00,
                            /* 0020 */   0x08, 0x00, 0x00, 0x00, 0x55, 0x08, 0x00, 0x00,
                            /* 0028 */   0x09, 0x00, 0x00, 0x00, 0x60, 0x09, 0x00, 0x00,
                            /* 0030 */   0x0A, 0x00, 0x00, 0x00, 0x6B, 0x0A, 0x00, 0x00
                        }
                    })
                }

                Return (Package (0x01)
                {
                    One
                })
            }

            Method (GXDV, 1, Serialized)
            {
                If (LNotEqual (XMPB (Zero), OperationRegion (XMPN, SystemMemory, XMPB (SIZE), Field (XMPN, ByteAcc, NoLock, Preserve)
                                {
                                    XMP1,   768, 
                                    XMP2,   768
                                })))
                {
                    If (LEqual (Arg0, One))
                    {
                        Name (XP_1, Package (0x02) {})
                        Store (Zero, Index (XP_1, Zero))
                        Store (XMP1, Index (XP_1, One))
                        Return (XP_1)
                    }

                    If (LEqual (Arg0, 0x02))
                    {
                        Name (XP_2, Package (0x02) {})
                        Store (Zero, Index (XP_2, Zero))
                        Store (XMP2, Index (XP_2, One))
                        Return (XP_2)
                    }

                    Return (Package (0x01)
                    {
                        One
                    })
                }
            }

            Method (GSCV, 0, NotSerialized)
            {
                Return (Package (0x01)
                {
                    0x72
                })
            }

            Method (CDRD, 1, Serialized)
            {
                Return (Package (0x01)
                {
                    One
                })
            }

            Method (CDWR, 2, Serialized)
            {
                Return (One)
            }

            Name (RPMV, Package (0x04)
            {
                One, 
                0x07, 
                Zero, 
                Zero
            })
            Name (TMP1, Package (0x0C)
            {
                One, 
                0x02, 
                Zero, 
                Zero, 
                0x05, 
                0x04, 
                Zero, 
                Zero, 
                0x06, 
                0x05, 
                Zero, 
                Zero
            })
            Name (TMP2, Package (0x08)
            {
                One, 
                0x02, 
                Zero, 
                Zero, 
                0x05, 
                0x04, 
                Zero, 
                Zero
            })
            Name (TMP3, Package (0x04)
            {
                One, 
                0x02, 
                Zero, 
                Zero
            })
            Method (TSDD, 0, NotSerialized)
            {
                Store (\_TZ.TZ01._TMP, Index (TMP3, 0x02))
                Return (TMP3)
            }

            Method (FSDD, 0, NotSerialized)
            {
                Return (RPMV)
            }

            Method (SDSP, 0, NotSerialized)
            {
                Return (0x0A)
            }
        }
    }
}

